/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include <kconfig.h>
#include "AcquaButtonClose.h"
using namespace KWinInternal;

#include "close.xpm"
#include "close_over.xpm"
#include "close_down.xpm"
#include "close_inactive.xpm"
#include "unused.xpm"

namespace AcquaNamespace
{

static int buttonStyle;

static void readConfig()
{
   KConfig config("kwinrc");
   config.setGroup("Style");
   buttonStyle=config.readNumEntry("AcquaButtonStyle",1);
}

}; // Namespace

AcquaButtonClose::AcquaButtonClose(QWidget * parent)
  : AcquaButton(parent, i18n("Close"))
{
    AcquaNamespace::readConfig();
    if (AcquaNamespace::buttonStyle==1)
    {
      pixmap_inactive=QPixmap(unused_xpm);
    }
    else
    {
      pixmap_inactive=QPixmap(close_inactive_xpm);
    }

    pixmap_=QPixmap(close_xpm);
    pixmap_over=QPixmap(close_over_xpm);
    pixmap_down=QPixmap(close_down_xpm);
}

  void
AcquaButtonClose::clickEvent(int /* button */)
{
  emit(closeWindow());
}

#include "AcquaButtonClose.moc"
// vim:ts=2:sw=2:tw=78:set et:
